<?php
// Author: Eric Braswell, ebraswell@cobalt
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: arkeiaHandler.php,v 1.3 2000/11/22 04:42:18 pbaltz Exp $

include("ServerScriptHelper.php");
include("User.php");
include("Meta.php");

$serverScriptHelper = new ServerScriptHelper();
$product = $serverScriptHelper->getProductCode();
$isMonterey = ereg("35[0-9][0-9]R", $product);

if ( $isMonterey && ! user_authok( $PHP_AUTH_USER, "admin")) {
	$serverScriptHelper->destructor();
	header("location: /.cobalt/error/forbidden.html");
	return;
}

$cceClient = $serverScriptHelper->getCceClient();

$cceClient->setObject("System", array("arkeiaHost" => $arkeiaHostField, "enable" => $enableServer, "port" => $port), "Arkeia");
$errors = $cceClient->errors();


print($serverScriptHelper->toHandlerHtml("/knox/arkeia/arkeia.php", $errors, "knox-arkeia"));

$serverScriptHelper->destructor();
?>





